<!-- CARD EDITOR -->
<div class="center-column lv">
	<div class="lh nopadding">
		<div class="lv">
			<!-- Card ID -->
			<div style="display: none;">
				<input type="number" id="species-card-id" value="-1"/>
			</div>
			<!-- Common Name -->
			<div>
				<label>Common Name
					<div class="dialog-toggle help-trigger icon help"
					data-dialog="species-common-name-help"
					data-position="top-right"></div>
				</label>
				<div class="dialog help-dialog" id="species-common-name-help">
					This is the name most commonly used to refer to this species.
				</div>
				<input type="text" id="species-common-name"/>
			</div>

			<!-- Latin Name -->
			<div>
				<label>Latin Name
					<div class="dialog-toggle help-trigger icon help"
					data-dialog="species-latin-name-help"
					data-position="top-right"></div>
				</label>
				<div class="dialog help-dialog" id="species-latin-name-help">
					This is the name scientists often use to identify a species.
				</div>
				<input type="text" id="species-latin-name"/>
			</div>

			<!-- Classification -->
			<div>
				<label>Classification (Kingdom, Phylum, Class)
					<div class="dialog-toggle help-trigger icon help"
					data-dialog="species-classification-help"
					data-position="top-right"></div>
				</label>
				<div class="dialog help-dialog" id="species-classification-help">
					Species are usually identifed by the broad categories that they fit into. The three most common are the Kingdom, Phylum, and Class that a species belongs to.
				</div>
				<input type="text" id="species-classification"/>
			</div>
		</div>

		<div class="lv">
			<!-- Diet -->
			<div class="lh nopadding">
				<div class="lv">
					<label>Diet
						<div class="dialog-toggle help-trigger icon help"
						data-dialog="species-diet-help"
						data-position="top-right"></div>
					</label>
					<div class="dialog help-dialog" id="species-diet-help">
						This is the kind of food the species eats.
						<strong>Autotrophic</strong> species get energy from natural processes, such as sunlight or chemical reactions.
						<strong>Herbivore</strong> species eat plants and/or seeds.
						<strong>Carnivore</strong> species eat animals that are smaller than them.
						<strong>Omnivore</strong> species can eat plants or animals.
						<strong>Special</strong> species have unique rules that are described in their Effect.
					</div>
					<div class="dropdown">
						<select id="species-diet">
							<option value="Autotroph">Autotroph</option>
							<option value="Herbivore">Herbivore</option>
							<option value="Carnivore">Carnivore</option>
							<option value="Omnivore">Omnivore</option>
							<option value="Special">Special</option>
						</select>
					</div>
				</div>
				<div class="lv">
					<label>#
						<div class="dialog-toggle help-trigger icon help"
						data-dialog="species-diet-number-help"
						data-position="bottom-right"></div>
					</label>
					<div class="dialog help-dialog" id="species-diet-number-help">
						Each type of diet is assigned a number.
						This helps the player understand where the species is in the food chain:
						<strong>Autotrophs</strong> are at the bottom (1),
						<strong>Herbivores</strong> are in the middle (2),
						<strong>Carnivores</strong> and <strong>Omnivores</strong> are at the top (3).
						Species with a <strong>Special</strong> diet can have a custom number.
						<strong>Remember:</strong> a species with Special diet will also need
						instructions in the Effects section to indicate the special requirements or
						rules of their diet!
					</div>
					<input type="text" id="species-diet-number" disabled/>
				</div>
			</div>

			<!-- Scale -->
			<div>
				<label>Scale
					<div class="dialog-toggle help-trigger icon help"
					data-dialog="species-scale-help"
					data-position="top-right"></div>
				</label>
				<div class="dialog help-dialog" id="species-scale-help">
					This is the size of the species. Carnivores and Omnivores can only eat animals that are smaller than them!
				</div>
				<div class="dropdown">
					<select id="species-scale">
						<option value="1">1 (virus)</option>
						<option value="2">2 (single cell)</option>
						<option value="3">3 (multi-cell)</option>
						<option value="4">4 (insect)</option>
						<option value="5">5 (small rodent)</option>
						<option value="6">6 (medium dog)</option>
						<option value="7">7 (human)</option>
						<option value="8">8 (bear)</option>
						<option value="9">9 (whale)</option>
					</select>
				</div>
			</div>

			<!-- Points -->
			<div class="lh">
				<div>
					<label>Points
						<div class="dialog-toggle help-trigger icon help"
						data-dialog="species-points-help"
						data-position="top-right"></div>
					</label>
					<div class="dialog help-dialog" id="species-points-help">
						This is the number of points the species is worth if it is still in play at the end of the game.
					</div>
					<input type="number" min="0" max="99" id="species-points"/>
				</div>
				<div class="lv end">
					<label>Recommended
						<div class="dialog-toggle help-trigger icon help"
						data-dialog="species-recommended-help"
						data-position="top-right"></div>
					</label>
					<div class="dialog help-dialog" id="species-recommended-help">
						This is the recommended point value that a card should have. You can set the Points to any value you want, this is simply here as a guide to help.
					</div>
					<input type="number" min="0" max="99" id="species-recommended" readonly disabled/>
				</div>
			</div>
		</div>
	</div>

	<div class="lh start nopadding">
		<div class="lv">
			<!-- Image Type (URL or localfile) -->
			<div class="tab-bar center self-start">
				<div class="font-heavy tinytab">Image from: &nbsp;&nbsp;
				</div>
				<div class="tab tinytab active" data-tab="species-local-file" data-group="species-image-type">
					<button class="tinybutton">FILE</button>
				</div>
				<div class="tab tinytab" data-tab="species-url-link" data-group="species-image-type">
					<button class="tinybutton">URL</button>
				</div>
				<div class="nopadding self-start">
					<div class="dialog-toggle help-trigger icon help"
						data-dialog="species-image-from-help"
						data-position="top-right"></div>
				</div>
				<div class="dialog help-dialog" id="species-image-from-help">
					Indicate if the image for the card comes from a file on your computer or an image from the Internet via a URL.<br /><br />
					<strong>Remember:</strong> you should only use images which you have permission to use, such as those available under a Creative Commons license.
				</div>
			</div>
			<!-- Image Local File -->
			<div class="flex-1 tab-content" id="species-local-file">
				<label>Image file
					<div class="dialog-toggle help-trigger icon help"
						data-dialog="species-image-file-help"
						data-position="top-right"></div>
				</label>
				<div class="dialog help-dialog" id="species-image-file-help">
					Upload an image from your computer that you want to show on this card. <br /><br />
					<strong>Remember:</strong> you should only use images which you have permission to use, such as those available under a Creative Commons license.
				</div>
				<input class="extra-wide" type="file" id="species-image-file"/>
			</div>
			<!-- Image URL -->
			<div class="flex-1 tab-content" id="species-url-link">
				<label>Image URL
					<div class="dialog-toggle help-trigger icon help"
						data-dialog="species-image-url-help"
						data-position="top-right"></div>
				</label>
				<div class="dialog help-dialog" id="species-image-url-help">
					Paste the address of an image you want to show on this card. On a website, you can right-click and select "Copy image address" to get the URL of an image. <br /><br />
					<strong>Remember:</strong> you should only use images which you have permission to use, such as those available under a Creative Commons license.
				</div>
				<input class="extra-wide" type="text" id="species-image-url"/>
			</div>
			<!-- Image Credit -->
			<div class="flex-1">
				<label>Image Credit
					<div class="dialog-toggle help-trigger icon help"
						data-dialog="species-image-credit-help"
						data-position="top-right"></div>
				</label>
				<div class="dialog help-dialog" id="species-image-credit-help">
					If you use an image that is not your own, you should use this to show the name of the person or organization you got the image from.
				</div>
				<input class="extra-wide" type="text" id="species-image-credit"/>
			</div>
		</div>

		<div class="lv">
			<!-- Terrains Selection -->

			<!-- Terrain 1 -->
			<div>
				<label>Terrain 1
					<div class="dialog-toggle help-trigger icon help"
						data-dialog="species-terrain-help"
						data-position="top-right"></div>
				</label>
				<div class="dialog help-dialog" id="species-terrain-help">
					The terrain this species can live in. A species must have at least 1 terrain and can have up to 3 different terrains.
				</div>
				<div class="dropdown">
					<select id="species-terrain1">
						<option value="Forest">Forest</option>
						<option value="Grassland">Grassland</option>
						<option value="Freshwater">Freshwater</option>
						<option value="Ocean">Ocean</option>
						<option value="Desert">Desert</option>
						<option value="Tundra">Tundra</option>
						<option value="Urban">Urban</option>
					</select>
				</div>
			</div>

			<!-- Terrain 2 -->
			<div>
				<label>Terrain 2</label>
				<div class="dropdown">
					<select id="species-terrain2">
						<option value="">None</option>
						<option value="Forest">Forest</option>
						<option value="Grassland">Grassland</option>
						<option value="Freshwater">Freshwater</option>
						<option value="Ocean">Ocean</option>
						<option value="Desert">Desert</option>
						<option value="Tundra">Tundra</option>
						<option value="Urban">Urban</option>
					</select>
				</div>
			</div>

			<!-- Terrain 3 -->
			<div>
				<label>Terrain 3</label>
				<div class="dropdown">
					<select id="species-terrain3">
						<option value="">None</option>
						<option value="Forest">Forest</option>
						<option value="Grassland">Grassland</option>
						<option value="Freshwater">Freshwater</option>
						<option value="Ocean">Ocean</option>
						<option value="Desert">Desert</option>
						<option value="Tundra">Tundra</option>
						<option value="Urban">Urban</option>
					</select>
				</div>
			</div>
		</div>

		<div class="lv">
			<!-- Climate Selection -->

			<!-- Climate 1 -->
			<div>
				<label>Climate 1
					<div class="dialog-toggle help-trigger icon help"
						data-dialog="species-climate-help"
						data-position="top-right"></div>
				</label>
				<div class="dialog help-dialog" id="species-climate-help">
					The climates this species can live in. A species must have at least 1 climate and can have up to 3 different climates.
				</div>
				<div class="dropdown">
					<select id="species-climate1">
						<option value="Hot">Hot</option>
						<option value="Warm">Warm</option>
						<option value="Cool">Cool</option>
						<option value="Cold">Cold</option>
					</select>
				</div>
			</div>

			<!-- Climate 2 -->
			<div>
				<label>Climate 2</label>
				<div class="dropdown">
					<select id="species-climate2">
						<option value="">None</option>
						<option value="Hot">Hot</option>
						<option value="Warm">Warm</option>
						<option value="Cool">Cool</option>
						<option value="Cold">Cold</option>
					</select>
				</div>
			</div>

			<!-- Climate 3 -->
			<div>
				<label>Climate 3</label>
				<div class="dropdown">
					<select id="species-climate3">
						<option value="">None</option>
						<option value="Hot">Hot</option>
						<option value="Warm">Warm</option>
						<option value="Cool">Cool</option>
						<option value="Cold">Cold</option>
					</select>
				</div>
			</div>
		</div>

	</div>

	<!-- Card effects -->
	<div>
		<label>Card Effects
			<div class="dialog-toggle help-trigger icon help"
				data-dialog="species-effects-help"
				data-position="top-right"></div>
		</label>
		<div class="dialog help-dialog" id="species-effects-help">
			This how the card can be used in the Phylo game. Special instructions such as a MOVE or FLIGHT, Special Diet conditions, or even changes to the way the card is scored can be put here.
		</div>
		<textarea id="species-effects" name="species-effects" rows="7" cols="60"></textarea>
	</div>

	<!-- Fun Fact -->
	<div>
		<label>Fun Fact
			<div class="dialog-toggle help-trigger icon help"
				data-dialog="species-fact-help"
				data-position="top-right"></div>
		</label>
		<div class="dialog help-dialog" id="species-fact-help">
			Add some educational content to your cards! Provide a small fact or interesting nugget of info about this species.
		</div>
		<textarea id="species-fact" name="species-fact" rows="4" cols="60"></textarea>
	</div>

	<div class="list-item lh">
		<button id="save-species">SAVE</button><button id="delete-species">DELETE</button>
	</div>
</div>